log4cplus::DefaultLoggerFactory Class Reference

This class is used to create the default implementation of the Logger class. More...

`#include <logger.h>`

Inheritance diagram for log4cplus::DefaultLoggerFactory:
[legend]
Collaboration diagram for log4cplus::DefaultLoggerFactory:
[legend]

## Public Member Functions

Logger | makeNewLoggerInstance (const log4cplus::tstring &name, Hierarchy &h)
| Creates a new `Logger` object.
Public Member Functions inherited from log4cplus::spi::LoggerFactory
virtual | ~LoggerFactory ()=0

## Protected Member Functions

virtual spi::LoggerImpl * | makeNewLoggerImplInstance (const log4cplus::tstring &name, Hierarchy &h)

## Detailed Description

This class is used to create the default implementation of the Logger class.

Definition at line 312 of file logger.h.

## Member Function Documentation

## makeNewLoggerImplInstance()

virtual spi::LoggerImpl * log4cplus::DefaultLoggerFactory::makeNewLoggerImplInstance | ( | const log4cplus::tstring & | name,
|  | Hierarchy & | h )

protected virtual

Implements log4cplus::spi::LoggerFactory.

## makeNewLoggerInstance()

Logger log4cplus::DefaultLoggerFactory::makeNewLoggerInstance | ( | const log4cplus::tstring & | name,
|  | Hierarchy & | h )

virtual

Creates a new `Logger` object.

Implements log4cplus::spi::LoggerFactory.

The documentation for this class was generated from the following file:

- logger.h